VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsHalbkugel"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Public h_Radius As Single
Private Const Pi = 3.141592654

Public Property Get Radius() As Single  'Lesen
  Radius = h_Radius
End Property

Public Property Let Radius(ByVal sNeuRadius As Single)  'Schreiben
  h_Radius = sNeuRadius
End Property

Public Property Get Volumen() As Single
  Volumen = 4 / 3 * Radius ^ 3 * Pi / 2
End Property

Public Property Let Volumen(ByVal sNeuVolumen As Single)
  Radius = (3 * sNeuVolumen / 4 / Pi) ^ (1 / 3)
End Property

Public Property Get Oberflaeche() As Single
  Oberflaeche = 3 * Radius ^ 2 * Pi
End Property

Public Property Let Oberflaeche(ByVal sNeuOberflaeche As Single)
  Radius = Sqr(sNeuOberflaeche / 3 / Pi)
End Property

Public Property Get Ys() As Single
  Ys = 0.375 * Radius
End Property

Public Property Let Ys(ByVal sNeuYs As Single)
  Radius = sNeuYs / 0.375
End Property
